Create a report
Create a new AI Share of Voice report and queue it for generation. The report will evaluate the brand across multiple AI engines (ChatGPT, Claude, Google AI) using generated and optional custom prompts.
Create a new AI Share of Voice report and queue it for generation. The report will evaluate the brand across multiple AI engines (ChatGPT, Claude, Google AI) using generated and optional custom prompts.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer API token for access
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
brandName*string
The brand name to analyze
Length
1 <= lengthbrandWebsite*string
The brand's website URL
Length
1 <= lengthmanualPrompts?array<string>
Optional list of custom prompts to include in the report
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/v1/reports" \ -H "Content-Type: application/json" \ -d '{ "brandName": "string", "brandWebsite": "string" }'{ "reportId": "836df459-dc40-4aa1-972a-6eb0a864dff9", "status": "pending", "brandName": "string", "brandWebsite": "string", "createdAt": "2019-08-24T14:15:22Z"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}